#!/bin/bash

if [[ $# -ne 2 ]] ; then
    echo ""
    echo "script should be executed during scanning / planning"
    echo ""
    echo 'arguments: <truststoreName> <fail>'
    echo ''
    exit -1
fi

name=$1
fail=$2
path='/var/opt/keys/trust/'${name}

if [[ "$fail" == "true" ]]; then
  exit 1
fi

if [ ! -d "${path}" ]; then
  echo "truststore ${path} does not exist"
  exit 2
fi

if [ ! -f "${path}/truststore.pem" ]; then
  echo "truststore content ${path}/truststore.pem does not exist"
  exit 3
fi
