Define parameters and use them as `${param.key}` within `Configuration`.
 
For instance, the expression `${param.smtp}` may be used together with the following definition:

```yaml
smtp: smtp.siven.ch
```

In case the parameters depend on the environment, use a variable (e.g. `my-params`) and set the value in the inventory:

```yaml
vars:
  my-params: |
    smtp: smtp.siven.ch
```

Note that the `|` is required because the value of the variable must be a multi-line String in YAML format.