`nevisAuth Realm (DEPRECATED)` requires information about steps to calculate
possible authentication flows.

This property is required only when more than 1 step is used.

The logic is based on _Claims_. _Claims_ describe a _contract_. 
They are well-known strings which must have the same meaning for all steps.

Introduce custom claims or use the following standard claims:

- **user**: user has been authenticated
- **user.email**: email of the user may have stored in session variable `user.email`
- **user.mobile**: mobile of the user may stored in session variable `user.mobile`
- **level.weak**: user has auth.weak
- **level.strong**: user has auth.strong

Declare _pre-conditions_:

- **if-set**: claim(s) which must be present (e.g. `user.mobile`, `user.email`)
- **if-not-set**: claim(s) which must not be present (e.g. `level.strong`)

Define _outcomes_:

- **sets**: claim(s) which should be available after successful executions (). 
Some claims (e.g. `user.mobile`, `user.email`) are conditional as they depend on user data in the IDM system.

Conditional execution:

- **on-demand**: one of the claims in **sets** can be declared as _on-demand_.
The step will only be executed if this claim has been requested by the current service.
So far only `level.strong` is supported.

- **fallback-allowed**: set to `true` if your step supports fallback 
and has a failure exit (`${state.exit.failure}`)

Here are some examples:

Username / Password authentication step:

```yaml
if-not-set: user
sets: [user, user.mobile, level.weak]
fallback-allowed: true
```
 
mTAN authentication step:

```yaml
if-set: [user, user.mobile, level.weak]
if-not-set: level.strong
on-demand: level.strong
sets: level.strong
fallback-allowed: false 
```