This property (together with the inventory) defines the order of nevisAuth endpoints in the connection string from nevisProxy.

nevisAuth stores unauthenticated sessions in memory.
Even when a `nevisAuth MariaDB Remote Session Store` is configured, sessions are synced to the DB only after successful authentication.
Therefore, multi-step login flows require that requests for the same session are always routed to the same nevisAuth endpoint.

nevisProxy uses a simple fail-over strategy. The first URL in the connection string for nevisAuth is always used,
unless this instance is not available. This stragegy works well when:

* there is only 1 nevisProxy instance
* there are 2 lines of nevisProxy but line 1 is active and line 2 is standby
* there is a session-sticky load-balancer in front of nevisProxy is session-sticky

However, as of nevisAdmin 4.5 the order of the connection string depends on the inventory. See also:
[Defining Lines and Fail-over Association](https://clientconnect.adnovum.net/nevisdoc/display/NEVISADMIN4DOC03/Defining+Lines+and+Failover+Association)

This strategy may fail in active / active setups when line groups are defined in the inventory.
In such setups you can set this drop-down to `disabled` to ensure that the order in the connection string is the same on all nevisProxy lines.