Define paths for the following cases.

- **SP-initiated authentication**

Service providers may send a parameter `SAMLRequest` containing an `AuthnRequest` (using POST or redirect binding) 
to request authentication. On successful authentication the IDP returns a SAML `Response`.

On entry an initial session will be created.
The session may expire during authentication due to timeout. 

When this happens an error page (name: `saml_dispatcher`) with title `title.saml.failed` 
and error message `error.saml.failed `will be rendered.

- **SP-initiated logout**

Service providers may send a `LogoutRequest` (POST or redirect binding)
to logout from this IDP and other service providers.

- **IDP-initiated logout**

Applications may have a link pointing to the IDP to trigger a global logout. 

This link may point to:

- `<path>/logout`: to show a logout confirmation page (GUI name: `saml_logout_confirm`, label: `info.logout.confirmation`)
- `<path>/?logout`: to skip the logout confirmation page.

If a `Referer` header has been sent by the browser, the logout confirmation page will have a `cancel` button which redirects to the referer.
Note that if the SP is NEVIS you may have to adapt the `Security Response Headers` of the `Virtual Host`.
By default the header `Referrer-Policy: strict-origin-when-cross-origin` is set and this will prevent the path being sent so the `cancel` button will redirect to `/`.

During SAML logout the IDP renders a GUI named `saml_logout`
with the following hidden fields:

- `saml.logoutURLs`: the URL of the SPs including `LogoutRequest` message as query parameter
- `saml.logoutURL`: the URL to redirect to after successful logout

The default nevisLogrend template contains Javascript to invoke all `saml.logoutURLs`
and redirect to `saml.logoutURL` after all requests have been sent. This is a best effort opertion 
which means that the JavaScript does not check if the logout was successful.

- **IDP-initiated authentication**

Requests to the base path without `SAMLRequest` will trigger IDP-initiated authentication.

In this case the following parameters must be sent: 

- `Issuer`: as entered for a `SAML SP Connector`
- `RelayState`: this paramter is returned to the SAML SP together with the `Response`
