Assign a _Generic Authentication Step_ to apply custom pre-processing logic 
before continuing with an SP-initiated SAML process 
(e.g. authentication, session upgrade, or logout).

By assigning a step here the `entry` methods of the `Domain` will be replaced
so that they point to the first AuthState provided by the step.
This AuthState is marked with the name `${state.entry}`.

You may use the following expressions to continue with the SAML process:

- `${state.entry.authenticate}`
- `${state.entry.stepup}`
- `${state.entry.logout}`

For instance, use the `AuthState` shows a GUI which informs the user about the current method
and by clicking the button the SAML process will continue:

```
<AuthState name="${state.entry}" class="ch.nevis.esauth.auth.states.standard.AuthGeneric">
    <!-- required to show GUI because first AuthState cannot be final -->
    <ResultCond name="default" next="${state.entry}"/>
    <ResultCond name="continue:${request:method:^authenticate$:true}" next="${state.entry.authenticate}"/>
    <ResultCond name="continue:${request:method:^stepup$:true}" next="${state.entry.stepup}"/>
    <ResultCond name="continue:${request:method:^logout$:true}" next="${state.entry.logout}"/>
    <Response value="AUTH_CONTINUE">
    <Gui name="${state.entry}" label="title.login">
  		<GuiElem label="current method: ${request:method}" name="info" type="info"/>
        <GuiElem label="continue.button.label" name="continue" type="button" value="true"/>
    </Gui>
    </Response>
</AuthState>
```