package.path = package.path .. ";/opt/nevisproxy/webapp/WEB-INF/lib/lua/public/Utils.lua"
local Utils = require "Utils"

function readAll(file)
    local f = assert(io.open(file, "rb"))
    local content = f:read("*all")
    f:close()
    return content
end

function clearCookie(response)
    local responseCookies = Utils.parseSetCookieHeaders(response)
    responseCookies[#responseCookies+1] = bcx.servlet.http.Cookie.new("login_marker", "0")
    Utils.setResponseCookieHeaders(response, responseCookies)
end

function inputHeader(request, response)
    local query = request:getQuery()
    if query == nil then
        return
    end
    local log = request:getTracer()
    log:debug(query)
    if string.find(query, "login") then
        log:debug("detected login")
        local requestCookies = Utils.parseCookieHeader(request)
        if requestCookies["login_marker"] == "1" then
            local body = readAll(var_path)
            response:setBody(body)
            clearCookie(response)
            response:send(200)
        end
    elseif string.find(query, "logout") then
        log:debug("detected logout")
        clearCookie(response)
    end
end