def getReferer(request) {
    def inctx = request.getLoginContext()
    def key = 'connection.HttpHeader.Referer'
    return inctx.containsKey(key) ? inctx.get(key) : '/'
}

def redirect(location) {
    outargs.put('nevis.transfer.type', 'redirect')
    outargs.put('nevis.transfer.destination', location)
}

def dispatch(i2s, String key) {
    def value = inargs.get(key)
    def decoded = new String(value.decodeBase64())
    def xml = new XmlSlurper().parseText(decoded)
    // according to the SAML spec Issuer is optional but we need it for dispatching
    def issuer = xml.Issuer.text()
    def result = i2s.get(issuer)
    response.setResult(result)
    // remember decision for sub-sequent requests without a SAML message
    session.put('saml.idp.result', result)
}

if (request.getSession(false) == null) {
    session = request.getSession(true).getData();
}

def method = request.getMethod()
if ("authenticate" == method) {
    if (inargs.isEmpty()) {
        // accessing the SP without inargs -> return to referer or redirect to /
        def location = getReferer(request)
        redirect(location)
        return
    }
}

def i2s = [:]
${entries}

if (inargs.containsKey('SAMLResponse')) {
    dispatch(i2s, 'SAMLResponse')
    return
}