def getReferer(request) {
    def inctx = request.getLoginContext()
    def key = 'connection.HttpHeader.Referer'
    return inctx.containsKey(key) ? inctx.get(key) : null
}

def redirect(location) {
    outargs.put('nevis.transfer.type', 'redirect')
    outargs.put('nevis.transfer.destination', location)
}

if (inargs.containsKey('logout-confirm')) {
    def resource = request.getCurrentResource()
    // user has confirmed logout -> replace /logout with /?logout
    String location
    if (resource.contains('?')) {
        location = resource.replace("/logout?", "/?logout&")
    }
    else {
        location = resource.replace("/logout", "/?logout")
    }
    redirect(location)
    return
}

if (inargs.containsKey('logout-abort')) {
    // user has aborted logout -> redirect to stored referer
    def location = session.get('referer')
    redirect(location)
    return
}

// user has not clicked any button -> render GUI
response.setGuiName('saml_logout_confirm')
response.setGuiLabel('title.logout.confirmation')
response.addInfoGuiField('info', 'info.logout.confirmation', null)
response.addButtonGuiField('logout-confirm', 'continue.button.label', 'true')

def referer = getReferer(request)
if (referer != null) {
    // add cancel button to go back to referer
    response.addButtonGuiField('logout-abort', 'cancel.button.label', 'true')
    // store referer in session
    session.put('referer', referer)
}
