// restore roles and authentication level
// which may have been returned in the AuthnContext of the SAML Response
def key = 'saml.assertion.authnContextClassRef'
if (notes.containsKey(key)) {
    def context = notes.get(key)
    if (context.startsWith('urn:nevis:level:')) {
        // values are produced levels or roles
        def values = context.substring(16).split(',')
        def roles = []
        values.each { String value ->
            if (value.isNumber()) {
                LOG.debug("setting level $value extracted from SAML response")
                response.setAuthLevel(value)
            }
            else {
                LOG.debug("setting role $value extracted from SAML response")
                roles.add(value)
            }
        }
        if (!roles.isEmpty()) {
            response.setActualRoles(roles as String[])
        }
    }
}

def roles = []
response.actualRoles.each { role ->
    if (!role.startsWith('token.')) {
        roles.add(role)
    }
}
response.setActualRoles(roles as String[])

// ensure session exists
if (request.getSession(false) == null) {
    session = request.getSession(true).getData();
}

// cache RelayState parameter in the session to ensure user is redirected in any case
// this is required for the SamlAcs pattern
if (inargs.containsKey('RelayState')) {
    def value = inargs.get("RelayState")
    session.put('cached-redirect', value)
}

// set transition to signal that the script has been successfully executed
response.setResult('ok')