The `Authentication Level` defines the strength of authentication.
Enter a number between `2` and `9` (including).

If the session is not yet at the configured level
a session upgrade will be performed.

Level `1` is the weakest possible authentication.
By definition this level is reached by the initial authentication flow,
e.g. set by a username / password authentication step (e.g. `LDAP Login`).

Level `2` is the default level set by steps
which do second factor authentication (e.g. `Test TAN`).

Levels `3` to `9` are not used by default. These levels
may be used for additional session upgrade processes.

For the session upgrade to succeed there must be a step which set at least this level.
This step must be assigned to `Session Upgrade Flow(s)` in the `Authentication Realm` pattern.

In case the upgrade flow consists of multiple steps and the level is reached by a subsequent step
assign the `Advanced Session Upgrade` pattern instead.