The default logout flow works as follows:

- the user accesses a protected application URL with query parameter `logout`, for instance `/myapp/?logout`
- any active session for this realm is terminated
- an HTML page is displayed that informs the user and allows to log in again on the same URL

To replace this behavior, assign a logout step here.

Note: to expose the logout function to the user, the web page(s) of backend applications should to be customized. 
Supported approaches are:

- Adapt the backend application: add a button or link that requests a URL ending with `?logout`.

Note that when this realm is used as a SAML IDP then the logout flow cannot be customized.
The only thing you can do is to assign a `Logout` pattern and configure a custom `Redirect`.
This is the location the user is redirect to after the SAML logout flow is done.
