Applications may be configured, via their authorization policy, to trigger a session upgrade flow. 
This is also known as re-authentication or step-up authentication. 

Here you assign the authentication steps that provide these session upgrade flows.

The process of selecting and executing a flow is as follows:

An application's authorization policy can specify the required authentication level (`2`-`9`) which is needed to access the application.
(Level `1` is not covered here, because the session has at least level `1` after the user successfully completes the mandatory initial authentication flow for the realm.)

Every time the user accesses the application, the policy is enforced as follows:

- If the authentication level of the current session is lower than the level required by the policy, 
nevisAuth executes one session upgrade flow: the one which provides the required level.
 
- Only if the flow runs through successfully, the level reached is stored in the session and access is granted.

- If the level of the session equals, or is higher than the required level, access is granted immediately.

- Authentication steps assigned here are executed only if the required level (by policy) exactly matches the provided value in its Authentication Level property. 
For example, if level 3 is required, the authentication step directly providing that level is started.

This mechanism also works when the realm is accessed via a `SAML IDP`
 and the application is protected by the `SAML SP Realm`. 

Advanced option: it is possible, in a multi-step flow, that the authentication level is reached only after the second step or later.
In this case, add `Advanced Session Upgrade` as the first step. In this step, you declare the level that is ultimately reached by the flow. 
The engine can then match the required level to the one provided by the flow, even if it is not provided by the first authentication step in the flow.