The [FIDO UAF specification](https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-protocol-v1.1-id-20170202.html#authenticator-metadata) describes metadata as follows:

```
It is assumed that FIDO Server has access to a list of all supported authenticators and their corresponding Metadata. Authenticator metadata contains information such as:

* Supported Registration and Authentication Schemes
* Authentication Factor, Installation type, supported content-types and other supplementary information, etc.

In order to make a decision about which authenticators are appropriate for a specific transaction, FIDO Server looks up the list of authenticator metadata by AAID and retrieves the required information from it.
```

The nevisFIDO server ignores any authenticators and halts all operations in relation to them, which do not have metadata data entries
accessible for the server.

Note that the default value of this field represents the metadata required for nevisFIDO to be
able to work with the ```NEVIS Access App```. If you're using a custom app based on the NEVIS Mobile Authentication SDK
or a customized Whitelabel Access App, these values will need to be updated.