Policy is defined by the [FIDO UAF specification](https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-protocol-v1.1-id-20170202.html#policy-dictionary) as follows:

```
Contains a specification of accepted authenticators and a specification of disallowed authenticators.
```

In it's most simplistic form, it contains a list of allowed and/or disallowed [AAIDs](https://fidoalliance.org/specs/fido-uaf-v1.1-id-20170202/fido-uaf-protocol-v1.1-id-20170202.html#authenticator-attestation-id-aaid-typedef)
which point to specific authenticator implementations - however more complex policy structures can be constructed.

Note that the default value of this field represents the policy required for nevisFIDO to be
able to work with the ```NEVIS Access App```. If you're using a custom app based on the NEVIS Mobile Authentication SDK
or a customized Whitelabel Access App, these values will need to be updated.