# Integration of ModSecurity 2.* and OWASP Core Rule Set v3

## Generation and Deployment Approach

During generation the content of `modsecurity_crs.zip` will be added to
the WEB-INF directory of the nevisProxy host.

For each service with request validation a Modsecurity filter and a separate configuration file
is generated which includes the modsecurity.conf

## Update Procedure

The OWASP Core Rule Set should be downloaded as a zip and stored in this package.
The file should be named `modsecurity_crs.zip`.

The content of the zip may be cleaned up. You only need the `rules` directory
and the main config file `crs-setup.conf.example` which has to be renamed to `crs-setup.conf`.

See also: https://coreruleset.org/installation/

Rule `921110` in rules/REQUEST-921-PROTOCOL-ATTACK.conf should be adapted as follows:

`SecRule ARGS_NAMES|ARGS|XML:/* "(?:\n|\r)+(?:get|post|head|options|connect|put|delete|trace|propfind|propatch|mkcol|copy|move|lock|unlock)\s+.*http" \`

TODO koenig: file a bug report at OWASP?

You also need a `modsecurity.conf` file which may be taken from here:

https://raw.githubusercontent.com/SpiderLabs/ModSecurity/v2/master/modsecurity.conf-recommended

This file has to be added to the zip and requires several changes.

At the end of the file you have to include the core rule set:

```
Include crs-setup.conf
Include rules/*.conf
```

Configure the features used:

```
SecRuleEngine On
SecStatusEngine Off
SecResponseBodyAccess Off (not supported by nevisProxy at the moment)
```

And do a basic sizing:

```
SecRequestBodyLimit 104857600
SecRequestBodyNoFilesLimit 10485760

SecPcreMatchLimit 5000000
SecPcreMatchLimitRecursion 5000000
```