Configure `servlet` and/or `servlet-mapping` elements
using the XML constructs described in the nevisProxy Technical Documentation.

You can also customize elements which have been generated by other patterns.
Elements can be referenced as follows:

- `servlet`: `servlet-name`
- `servlet-mapping`: `url-pattern`

Example 1: Add or overwrite an `init-param` for an existing `servlet`:

```xml
<servlet>
  <servlet-name>Hosting_Default</servlet-name>
  <init-param>
    <param-name>NoMatchFile</param-name>
    <param-value>/index.html</param-value>
  </init-param>
</servlet>
```

Example 2: Remove a `servlet-mapping`:

```xml
<servlet-mapping>
    <url-pattern>/app/*</url-pattern>
</servlet-mapping>
```

Here we left out the `servlet-name` to tell the pattern to remove the `servlet-mapping` for the given `url-pattern`.

Removing a `servlet` element is not supported.