Customize the low-level configuration (`bc.properties`)
using properties described in the [nevisProxy Technical Documentation](https://clientconnect.adnovum.net/nevisdoc/display/NEVISPROXYDOC05/).

For instance, when request validation is enabled this requires a buffer
and this buffer has to be big enough to store the entire request.

The following example increases the maximum size of the request buffer to 10 MB:

```
ch.nevis.navajo.request.BufferSize=10485760
```

You also may have to increase the maximum allowed request size. 
See `Configuration: navajo.xml` for an example.

Note that increased buffer sizes may lead to increased demand of RAM and disk space. 

When the required buffer exceeds `ch.nevis.navajo.request.MemBufferSize` 
then nevisProxy will buffer to disk instead.

The demand caused by request buffers can be estimated as follows:

- RAM: `MaxClients` * `ch.nevis.navajo.request.MemBufferSize` 
- disk: `MaxClients` * `ch.nevis.navajo.request.BufferSize` 

See `Configuration: navajo.xml` for a description of `MaxClients`.
