Customize the Navajo servlet container configuration (`navajo.xml`)
using XML constructs described in the [nevisProxy Technical Documentation](https://clientconnect.adnovum.net/nevisdoc/display/NEVISPROXYDOC05/).

The root element `<Service>` must be provided.

Examples:

1) increase number of parallel requests (worker threads)

```xml
<Service>
    <Server MaxClients="1000"/>
</Service>
```

2) increase the maximum allowed request body size

```xml
<Service>
    <Server LimitRequestBody="10485760"/>
</Service>
```

3) increase the number of SSL sessions which can be stored for `some.domain.com`

```xml
<Service>
    <Connector name="some.domain.com" port="443">
        <SSLCache maxEntries="10000"/>
    </Connector>
</Service>
```

4) remove the `httpOnly` flag for all cookies (`*` matches any `Connector`)

```xml
<Service>
    <Connector name="*" port="*">
        <UserAgent cookieHttpOnly="false"/>
    </Connector>
</Service>
```

It is possible to use the following placeholders:

- `${instance.id}`: unique ID of the `nevisProxy Instance` pattern
- `${instance.name}`: name of the nevisProxy instance. Use `/var/opt/nevisproxy/${instance.name}` to refer to the instance directory.

Limitations:

- customizing `Navajo` and `Management` elements is not supported
- customizing `Engine` and its child elements is not supported
- only one `UserAgent` element can be configured
- customizing `Host` (or its child elements) requires `name`