Optional property to apply header customization on certain sub-paths only.

Sub-paths must be relative and will be added to the context root of the host(s) or service(s) this pattern is assigned to.

- for host(s) the context root is `/`
- application patterns usually have a property `Frontend Path` which allows the user to define the context root.

Sub-paths ending with `/` are handled as a prefix.
The mapping of the header customization filter will end with `/*`
and thus will be applied transitively.

For sub-paths which do not end with `/` an exact mapping will be used.

The following table provides some examples to illustrate the concept:

| Host / Service Context Root | Sub-Path | Mapping |
|---|---|---|
| `/` | secure/ | `/secure/*` |
| `/` | accounts | `/accounts` |
| `/` | api/secure/ | `/api/secure/*` |
| `/` | api/accounts | `/api/accounts` |
| `/service/` | secure/ | `/secure/*` |
| `/service/` | accounts | `/accounts` |
| `/service/` | api/secure/ | `/api/secure/*` |
| `/service/` | api/accounts | `/api/accounts` |
