Upload a Lua script which should be invoked for requests and / or responses.
The script has to contain one or multiple of the following Lua functions:

- `function inputHeader(request, response)` - called once per request
- `function input(request, response, chunk)` - called once per request body _chunk_
- `function outputHeader(request, response)` - called once per response
- `function output(request, response, chunk)` - called once per response body _chunk_

The uploaded script will be deployed to the nevisProxy host in sub-directory `WEB-INF` using
the name of this pattern for the file name to ensure that the file name is unique.

Here is an example Lua script which replaces sensitive information in response bodies:

```
local buf = {}
function output(request, response, chunk)
  if chunk ~= nil then
    table.insert(buf, chunk)
    return nil
  else
    return string.gsub(table.concat(buf), "some-sensitive-data", "*****");
  end
end  
```