Setting the `Label` is required if this pattern is used as a key store provider.

This pattern relies on the standard nevisKeybox mechanism for retrieving the passphrase of the private key.

Run the following commands on all target server(s) to ensure the passphrase can be retrieved:

`neviskeybox passwd -slot <slot> -label <label> -keep`

`neviskeybox access -slot <slot> -label <label> -group nvbgroup`

The last command will generate a shell script `/var/opt/neviskeybox/default/<slot>/<label>_keypass`
which can be invoked by NEVIS components to retrieve the passphrase.

Due to a limitation in some NEVIS components keypass files which contain base64 encoded passphrases are not supported yet.
Replace any of the following content with a simple echo returning the passphrase directly.

`echo "cGFzc3dvcmQ=" | openssl base64 -d`

nevisKeybox may also be integrated with nevisCred to store the passphrase in a secure place.
In this case the shell script will not contain the passphrase but a call of nevisCred.
