Configure _exception modifications_.

Please read the ModSecurity documentation for details: 
https://www.modsecurity.org/CRS/Documentation/exceptions.html

There modifications are applied **after** including other rules.

Note that new rule may require an ID which has to be unique for this service.
Use the range 1-99,999 as it is reserved for local (internal) use. 

* Remove rule with ID `900200`:

`SecRuleRemoveById 900200`

* Whitelist body parameter `upload` for all rules:

`SecRuleUpdateTargetByTag ".*" "!ARGS:upload"`

* Whitelist body parameter `upload` for rule ID `123`:

`SecRuleUpdateTargetById 123 !ARGS:upload`

* Add a new rule which allows the HTTP methods used for WebDAV:

```
SecAction \
 "id:1,\
  phase:1,\
  nolog,\
  pass,\
  t:none,\
  setvar:'tx.allowed_methods=GET HEAD POST OPTIONS PUT PATCH DELETE CHECKOUT COPY DELETE LOCK MERGE MKACTIVITY MKCOL MOVE PROPFIND PROPPATCH PUT UNLOCK'"
```