Handle requests by returning a Redirect (302).

The rule format is:

`<source> -> <destination>`

Here `source` and `destination` may be:

- a `URL`
- an `absolute path` 
- a `relative path`

Absolute paths always point to the host
while relative paths are appended to the context path of the assigned host (`/`) or application.

Regular expressions are supported in the `source` 
and group extractions may be used in the `destination`.

The order of the rules matters. 
Only the first matching rule is applied. 

Examples: 

- `http://(.*) -> https://$1`: redirects HTTP requests to HTTPs - preserving the request path
- `(.*)?lang=de -> de/$1.html`: when assigned to an application with frontend path `/app/` this rule would redirect `/app/index.html?lang=de` to `/app/de/index.html`
- `/nevis.html -> https://www.nevis.ch`: redirects `/nevis.html` to `https://www.nevis.ch`