package.path = package.path .. ";/opt/nevisproxy/webapp/WEB-INF/lib/lua/public/Utils.lua"
local Utils = require "Utils"

function block(request, response)
  response:setHeader("Content-Type", "text/plain")
  response:setBody("403 Forbidden")
  response:send("403")
end

function inputHeader(request, response)
  local session = request:getSession(true)
  local storedValue = session:getAttribute("csrf-token")
  if storedValue == nil then
    -- initial request
    -- create new random value
    local random = nevis.crypto.random.new()
    local randBytes = random:getBytes(16)
    local base64 = nevis.crypto.base64.new()
    local randStr = base64:encode(randBytes)
    session:setAttribute("csrf-token-initial", randStr)
  else
    local cookies = Utils.parseCookieHeader(request)
    local cookie = cookies["CSRF"]
    if cookie == nil then
      request:getTracer():notice("request blocked due to missing SameSite cookie")
      block(request, response)
    elseif cookie ~= storedValue then
      request:getTracer():notice("request blocked due to invalid value of SameSite cookie")
      block(request, response)
    end
  end
end

function outputHeader(request, response)
  local session = request:getSession(true)
  local value = session:getAttribute("csrf-token-initial")
  if value ~= nil then
    local cookies = Utils.parseSetCookieHeaders(response)
    cookie = bcx.servlet.http.Cookie.new("CSRF", value)
    cookie:setCustomAttribute("SameSite", "lax")
    cookies[#cookies+1] = cookie
    Utils.setResponseCookieHeaders(response, cookies)
    session:setAttribute("csrf-token", value)
    session:removeAttribute("csrf-token-initial")
  end
end